0.116 (2021-02-26)

  [ Guillem Jover ]
  * Debian::AptContents: Use make_path instead of mkdir.
    This way we make sure any parent directory will also be created if needed.
  * Add support for XDG base directory specification.
    This adds support for distinct config and cache directories defaulting to
    the XDG base directory specification paths.
    Add new --cache-dir and --config-dir options, and adapt the old
    --home-dir option for backwards compatibility. It will prefer using the
    legacy directory if present, and fallback to the new ones.
    Closes: #898236

0.115 (2021-01-25)

  * Debian::Control::Stanza::Binary:
    Support binary control field Build-Profiles. (Closes: #981014)

0.114 (2021-01-06)

  * Update Standards-Version to 4.5.1 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Add test data to t/dists/Strange-2.1 for
    debian/upstream/metadata tests.
  * DhMakePerl::Command::Packaging: create_upstream_metadata:
    - add GitHub fixes
    - fix more non-HTTPS URLs
  * Update copyright years.

0.113 (2020-07-12)

  * Add test and runtime dependency on libpod-parser-perl.
    Required for Perl 5.32.
  * Debian::WNPP::Query: use HTTPS for bugs.debian.org links.
  * t/Control.t: add more testcases for X(SBC)-* fields.
  * Debian::Control::Stanza: fix looks_like_an_x_field() function.
    Debian Policy defines "X followed by one or more of S, B, C" fields in
    control files. looks_like_an_x_field() so far only accepted one of them,
    which breaks e.g. Ubuntu's XSBC-Original-Maintainer field.
    Adjust regexp to the one used by Dpkg::Control::FieldsCore.
    Thanks to Lukas Märdian for the bug report. (LP: #1886461)
  * Debian::DpkgLists: ignore dpkg-query status messages in _cat_lists().
  * DhMakePerl::Command::make: use 'apt-get install' instead of 'dpkg -i'
    for installing the created and built package. The former also takes
    care of dependencies.
    Thanks to Paul Wise for the bug report. (Closes: #954827)
  * Update some copyright attributions.
  * Hardening support for arch:any packages (a.k.a. C/XS modules):
    + Update test suite: expect debian/rules with hardening flags for
      arch:any package.
    + Separate debian/rules template into an arch:all and an arch:any
      version (again). The latter contains hardening flags.
    + DhMakePerl::Command::Packaging: use the arch:{all,all} debian/rules
      template depending on the architecture of the binary package.

0.112 (2020-05-16)

  * Use debhelper (compatibility level) 13.
  * Drop HOME handling from debian/rules.
    Not needed anymore with debhelper 13.
  * Create packages with debhelper-compat 13 by default.
  * Update tests for debhelper-compat (= 13).
  * Update release tests.
    Move them all to t/, honour RELEASE_TESTING in all of them.
  * Fix some spelling mistakes in the POD.

0.111 (2020-03-21)

  * DhMakePerl::Command::Packaging: create_upstream_metadata: don't create
    debian/upstream/metadata if we don't have a Repository because that's
    the main purpose of the file.
  * DhMakePerl::Command::make: remove codepath which pointed to
    svn.debian.org/pkg-perl and was unused since 2011.
  * Add 'Rules-Requires-Root: no' to new and refreshed packages.
  * Update copyright notices.
  * Upload to unstable.

0.110 (2020-02-22)

  [ gregor herrmann ]
  * Add debian/salsa-ci.yml with the default salsa-ci pipeline.
  * DhMakePerl::Command::refresh: add call to prune_perl_deps() like
    during make().

  * Debian::Dependency: improve support for build profile annotations.
    Add a profile field, and handle profiles in the constructor and when
    parsing dependency strings.
  * Debian::Dependency: satisfies() now takes build profiles into account.
    Tests are added in t/Dep.t.
  * Debian::Control::FromCPAN: annotate test dependencies with <!nocheck>.
    Handle pure build dependencies and test dependencies separately, and use
    Debian::Dependency's profile support to add "<!nocheck>" to the latter.
    This will not cover all cases but should work fairly well for well-curated
    upstream META.json files.
  * Debian::Control::FromCPAN: also annotate runtime dependencies in
    Build-Depends{,-Indep} with <!nocheck>.
    They are there most probably for tests.
  * Add a test for a '<!nocheck>' test-only dependency to
    t/dists/Strange-2.1.
  * Debian::Control::FromCPAN: add '!nocheck' to build dependencies called
    'libtest-*'.
    This catches some of the cases where upstream doesn't differentiate
    between build_requires and test_requires.

  * Cross building support: use 'perl:native' and 'perl-xs-dev' in Build-
    Depends for arch:any packages.
  * Cross building support: update test control files.

  [ Clément Hermann ]
  * Fix for t/debian-version.t: order of string replacements and comment

  [ gregor herrmann ]
  * Wrap long lines in changelog entries: 0.10, 0.7.
  * Upload to experimental to give the new features some time for testing.

0.109 (2020-01-21)

  * DhMakePerl::Command::Packaging:
    - fix handling of $host variable in create_upstream_metadata()
    - handle bitbucket.org like git{hub,lab}.com when fixing URLs for
      debian/upstream/metadata
    - quotemata() directory name before using it in a regexp. Otherwise
      characters like '+' (e.g. from a debian version) create havoc.
  * Fix for t/debian-version.t: ignore +foo suffix in Debian version.
  * Update Standards-Version to 4.5.0 for dh-make-perl itself, for created
    packages, and in the test suite.

0.108 (2019-12-04)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.1
  * Use Standards-Version 4.4.1 in testsuite control files
  * Declare compliance with Debian policy 4.4.1

  [ gregor herrmann ]
  * DhMakePerl::Utils: add perl-xs-dev to list of perl core packages.
  * t/dists.t: don't try to compare directories.
  * Add build dependency on libyaml-libyaml-perl.
  * Debian::DpkgLists: use dpkg-query(1) instead of accessing
    /var/lib/dpkg/info/*.list directly.
    Thanks to Guillem Jover for the bug report and the helpful hints.
    (Closes: #944964)
  * Update documentation for Debian::DpkgLists.
  * Add dependency on dpkg (>= 1.19.3) to libdebian-source-perl.
    Debian::DpkgLists uses dpkg-query's "db-fsys:Files" virtual field
    which was introduced in 1.19.3.

0.107 (2019-09-14)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: change Uploader handling in
    fill_maintainer.
    In the pkg-perl case, only add the current user to Uploaders if
    Maintainers is not yet the Perl Group; i.e. for new or adopted packages
    but not for refreshing existing ones.

  [ intrigeri ]
  * Migrate from Parse::DebianChangelog to Dpkg::Changelog::Debian:
    - t/debian-version.t: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - DhMakePerl::Command::Packaging: migrate from Parse::DebianChangelog to
      Dpkg::Changelog::Debian
    - Drop now unused dependency on Parse::DebianChangelog
    (Closes: #933132)

  [ gregor herrmann ]
  * t/{dists,cache}.t: always run dh-make-perl with --no-network.
    Make sure there's no network access during tests.
    This not only fixes the immediate issue with Config::Model reformatting
    debian/control but more generally helps to ensure that external sources
    don't influence the test results.
    (Closes: #933227)
  * Retire NO_NETWORK variable in debian/* after it's not used anymore in
    the tests.
  * DhMakePerl::Command::Packaging: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.
  * DhMakePerl::Command::Packaging: handle GitLab like GitHub when
    rewriting URLs for debian/upstream/metadata.
  * Annotate test-only build dependencies with <!nocheck>.

0.106 (2019-07-19)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.4.0
  * Use Standards-Version 4.4.0 in testsuite control files
  * Declare compliance with Debian policy 4.4.0
  * Update copyright years for debian/* packaging files

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 12.
  * Bump debhelper compat level for created packages to 12.
  * Use debhelper-compat instead of debian/compat for created packages.
  * Use debhelper-compat for dh-make-perl itself.

  * Created debian/watch files: use version=4 and version/extension
    placeholders.
  * DhMakePerl/Command/Packaging.pm:
    - create_copyright: insert warning/placeholder if we don't have a
      copyright year
    - add libmodule-build-using-pkgconfig-perl to special build dependencies
  * Update Debian::AptContents to versioned Provides in perl.
    find_perl_module_package now returns the separate package for
    dual-lifed modules instead of an alternative with the perl package.
  * Update Debian::Control::FromCPAN  to versioned Provides in perl.
    find_debs_for_modules now looks for dual-lifed packages in both
    separate packages and perl core, and priorizizes the former for
    dependencies.
  * Use Config::Model::Dpkg if available to reformat and fix
    debian/control. Both in make() and refresh(), and only with internet
    access.

  * Remove unneeded version constraint from libdpkg-perl build dependency.
    Already satisfied in oldstable.
  * Add a Breaks on dh-make-elpa (<< 0.17~) to dh-make-perl.

0.105 (2019-02-28)

  * Debian::Control::FromCPAN: find_debs_for_modules(): update warning
    message when a package is not found in dpkg's available file: use
    `apt-cache dumpavail | dpkg --merge-avail'.
    Thanks to Guillem Jover for the pointer.
  * Update release test t/critic.t: fix path.
  * Update {alternative,versioned} (build) dependencies.
  * Remove trailing whitespace from debian/*.

0.104 (2019-02-04)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: install CODE_OF_CONDUCT files in
    extract_docs().
  * Replace sugesstion to run 'dselect update' with 'apt update' in
    Debian::Control::FromCPAN.
    Thanks to Axel Beckert for finding and reporting this gem.
    (Closes: #908164)

  [ Damyan Ivanov ]
  * make: add --revision option for setting the debian revision of the package
    version (RT#127109)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: use HTTPS URL for Apache-2.0 license.
  * Update Standards-Version to 4.3.0 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Add lintian-override for false positive uses-dpkg-database-directly.
  * Bump debhelper compatibility level in created packages to 11.
  * Bump debhelper comaptibility level to 11.
  * DhMakePerl::Command::Packaging: update discover_utility_deps().
    Adjust documentation to reality, add support for "--with perl_openssl",
    some code reformatting.
  * Debian::Control::*: add support for Build-{Depends,Conflicts}-Arch.
    Thanks to Aaron M. Ucko for the bug report. (Closes: #919964)
  * Debian::Control::*: add some more fields.
    Package-Type (binary) and some Vcs-* (source) were missing.
  * Debian::DpkgLists: strip arch qualifiers from package names. Also
    update the corresponding test. (Closes: #911769)
  * DhMakePerl::Command::Packaging: extract_docs(): ignore debian/NEWS.
  * DhMakePerl::Command::Packaging: update_file_list(): sort content
    before writing .docs/.examples files.
    This avoids reproducibility failures when the file system ordering
    changes.
    Thanks to reprotest.
  * Update copyright years.

0.103 (2018-08-30)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.2.0
  * Use Standards-Version 4.2.0 in testsuite control files
  * Declare compliance with Debian policy 4.2.0

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: improve handling of Module::Build{,::Tiny).
    Handle Module::Build::Tiny the same way as Module::Build, and preserve
    versions when moving them from Build-Depends-Indep to Build-Depends.
  * Update Standards-Version to 4.2.1 for dh-make-perl itself, for created
    packages, and in the test suite.

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

0.102 (2018-07-24)

  [ gregor herrmann ]
  * DhMakePerl::Command::make: fix search_pkg_perl().
    Fix the check for existing package repositories on salsa. For non-existing
    repos, a GET would happily return success after redirecting to
    https://salsa.debian.org/users/sign_in, so we now also check the returned
    URI.
  * dh-make-perl: clarify the --version option in the POD.

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.1.5
  * Use Standards-Version 4.1.5 in testsuite control files
  * Declare compliance with Debian policy 4.1.5
  * Set Rules-Requires-Root to no

  [ David Miguel Susano Pinto ]
  * Fix github Repository* on d/upstream/metadata (git://, and no Browser)
    DhMakePerl::Command::Packaging (create_upstream_metadata):
    automatically fix Repository with git protocol and missing Repository-
    Browse when host is github.
    Closes: #852848

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging (create_upstream_metadata):
    - fix protocol always when not it's not HTTPS
    - handle git@github.com/ and git@github.com:user as well
  * Update copyright in lib/DhMakePerl/Command/Packaging.pm and
    debian/copyright.

0.101 (2018-06-03)

  [ gregor herrmann ]
  * Apply patch to use Email::Address::XS instead of Email::Address.
    Thanks to Pali Rohár for the bug report and the patch.
    (Closes: #887536)
  * Update (build) dependencies: libemail-address-perl →
    libemail-address-xs-perl.

  [ Damyan Ivanov ]
  * adapt to Dpkg::Version API change when evaluated in boolean context
    (Closes: #900700)

0.100 (2018-05-19)

  * Update Standards-Version to 4.1.4 for dh-make-perl itself, for created
    packages, and in the test suite.
  * Update some URLs to salsa.debian.org.

0.99 (2018-02-24)

  [ gregor herrmann ]
  * Debian::Control::Stanza::Binary: add 'Multi-Arch' to list of known
    fields.
  * Lowercase "Initial _r_elease" in created changelog entry.

  [ Damyan Ivanov ]
  * point pkg-perl git URLs to salsa.debian.org
  * t/AptContents.t: no plan
  * AptContents: avoid empty cpu allocation slots when distributing multiple
    contents files tor parsing
  * Set this package's Vcs-* URLs to salsa

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 07:35:01 +0000

0.98 (2018-01-03)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 4.1.3
  * Use Standards-Version 4.1.3 in testsuite control files
  * Declare compliance with Debian policy 4.1.3

  [ Damyan Ivanov ]
  * bump debhelper compatibility level to 10
  * bump debhelper compatibility level in created packages
  * Packaging: remove duplicate setting of default dh compat level
  * add support for Contents-all; patch by Niels Thykier (Closes: #886235)

0.97 (2017-12-05)

  [ Damyan Ivanov ]
  * when parsing Contents files, strip the common prefix from the
    diagnostic output
  * parse Contents files in parallel
  * bump copyright years

  [ gregor herrmann ]
  * Debian::Control::Stanza::Source: add Rules_Requires_Root to list of
    known fields.
  * Update Standards-Version to 4.1.2 for dh-make-perl itself, for created
    packages, and in the test suite.

  [ Damyan Ivanov ]
  * Debian::Control::Stanza: add support for user-defined fields
    (X-Moon-Phase) (Closes: #883439)

0.96 (2017-10-18)
   [ gregor herrmann ]
   * Disable network tests during autopkgtests like during build.
   * DhMakePerl::Command::Packaging: extract_docs(): ignore all top-level
     README* files not just README itself. The trendy new .md or .mkdn
     versions usually are also just text versions of the POD, formatted in
     Markdown for GitHub. Also, ignore them case-insensitively.
   * Debian::WNPP::Query: use HTTPS for debian.org URLs.

   [ Salvatore Bonaccorso ]
   * Create packages using Standards-Version 4.1.1
   * Use Standards-Version 4.1.1 in testsuite control files
   * Declare compliance with Debian policy 4.1.1

   [ Alex Muntada ]
   * Remove inactive pkg-perl members from Uploaders.

   [ Damyan Ivanov ]
   * drop -T flag from debian-version.t (Closes: #878901)

0.95 (2017-06-17)

  [ Damyan Ivanov ]
  * centralized method for determining if a given package belongs to the set
    of core Perl packages
  * is_core_perl_package: strip architecture before matching package name
  * FromCPAN/find_debs_for_modules: remove core packages from the result of
    DpkgLists->scan_perl_mod
    (Closes: #854046)

  [ Alex Muntada ]
  * Debian::Control::Stanza: accept case-insensitive field names in new()
    as required by Debian Policy while retaining the canonical accessors.
    Thanks to Ben Finney for the bug report. (Closes: #860023)

  [ gregor herrmann ]
  * Drop debian/source/local-options. The options were for non-native
    packages and caused warnings from dpkg-source.
  * Add debian/gbp.conf to tell gbp and dpt-push about the tag format.

0.94 (2017-03-16)

  [ Carnë Draug ]
  * Fix "Error: Can't locate object method "get_user"" Create new
    DhMakePerl::Command::Packaging->get_user method which is used when
    DEBEMAIL and EMAIL are unset.  Fixes regression from 0.93.
    (Closes: #856532)

0.93 (2017-01-26)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: replace "This plugin" with the module
    name in the long description, like we already did with "This module"
    and "This library".
  * Fix a typo in dh-make-perl's POD. Thanks to lintian.
  * Extend checks for 'perl-modules'.
    perl-modules has been replaced by perl-modules-5.2[24]. Adapt checks
    for it.
  * Remove headers from Contents test files. Thanks to Paul Wise for the
    bug report. (Closes: #842887)

  [ Christopher Hoskin ]
  * Require user intervention to resolve version ambiguity
    (Closes: #848337)

  [ gregor herrmann ]
  * Debian::Dependency: add support for build profiles (so called
    "restriction formulas") to the parse() function.
    Thanks to David Bremner for the bug report. (Closes: #850000)

  [ Carnë Draug ]
  * Use dh-make-perl email and name information for git commits,
    including git commits done by pristine-tar.
    (Closes: #852332)
  * DhMakePerl::Command::Packaging: add two new methods: get_email
    and get_name.

  [ gregor herrmann ]
  * dh-make-perl(1): remove references to quilt(1) which are only relevant
    for pre '3.0 (quilt)' source packages.
  * dh-make-perl(1): add paragraph about dependency tracking and required
    packages/files to POD. (Closes: #851136)
  * dh-make-perl(1): add new contributors to credits.
  * Update years of copyright.
  * Add debian/tests/pkg-perl/use-name to run autopkgtest's use.t test.

0.92 (2016-09-20)

  [ Christian Hofstaedtler ]
  * Remove Christopher Sacca <csacca@thecsl.org> from Uploaders.
    (Closes: #831593)

  [ gregor herrmann ]
  * Use Dpkg::Source::Package's get_default_diff_ignore_regex() function
    instead of the deprecated $diff_ignore_default_regexp string.
    Thanks to Guillem Jover for the bug report. (Closes: #834199)
  * Drop latest-debian-changelog-entry-changed-to-native lintian overrides.
  * Add t/dists/Strange-2.1/DEADJOE to test default exclude regexp.
  * Remove Nathan Handler from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!
  * DhMakePerl::Command::Packaging: strip leading articles from short
    description.
  * debian/control: add build dependency on libdpkg-parse-perl to avoid
    warnings during tests.
  * debian/control: remove Homepage field which still pointed to MetaCPAN.

  [ Axel Beckert ]
  * lib/Debian/AptContents.pm:
    + Add path component with architecture triplet to regexp in
      read_cache(). Fixes "dh-make-perl locate" not finding any XS or
      C-written modules anymore. (RT#117963) Thanks Joenio Costa for the
      bug report!
    + Fix typo in code comment.
  * Don't let dh_clean remove t/dists/Strange-2.1/DEADJOE.

0.91 (2016-07-02)

  [ gregor herrmann ]
  * debian/source/format: switch to '3.0 (native)'.
    Cf. the thread at https://lists.debian.org/debian-perl/2016/03/msg00038.html
    for the history and pros/cons of having a non-native vs. a native package.
  * Drop debian/{watch,upstream-signing-key.pgp,source/include-binaries}.
    Not needed for a native package.
  * Add a lintian override for latest-debian-changelog-entry-changed-to-
    native.
  * Debian::Control::FromCPAN: find_debs_for_modules(): exit version loop.
    When searching for versioned dependency, the method issues the warning
    "$module package in APT ($d) does not satisfy $dep" even when higher
    versions are available. Exit the loop as soon as we have a high enough
    version.
  * Issue a warning in build_package if local::lib usage is detected.
    local::lib sets the installation path (by default to $HOME/perl5) via
    PERL_MB_OPT/PERL_MM_OPT which is not what we want in the built
    package. Messing with the environment is a bit too brittle, so we
    issue a fat warning and give recommendations for deactivating the
    local::lib environment temporarily.
    Thanks to Jacob L Anawalt for the bug report. (Closes: #820395)
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * DhMakePerl::Utils: when checking for core modules, look at current
    perl.
    Various helpers which check if a module is in Perl core or starting from
    which version only looked at the first Perl version. This ignored cases
    where a package was removed from core at some point.
    Change those methods to return if a module is not currently in Perl core.
    Thanks to Peter Valdemar Mørch for the bug report. (Closes: #788198)
  * DhMakePerl::Command::Packaging: don't enforce 9.20120312~ for
    debhelper in arch:any packages anymore. There is no older version in
    the archive anymore.

  [ Sean Whitton ]
  * Strip comments when reading control files.  (Closes: #823708)
    Otherwise, control files containing comments cause a parse failure.

  [ Salvatore Bonaccorso ]
  * Use HTTPS transport protocol for Format URI in copyright file.
    Refresh or create new copyright files using HTTPS transport protocol for
    the Format URI to the copyright format specification.
    Adjust tests to use HTTPS transport protocol as well in the Format
    fields.
  * Use HTTPS transport protocol for various URLs in POD

  [ Nick Morrott ]
  * DhMakePerl::Command::Packaging:
    - remove trailing whitespace from Artistic 2.0 license text
    - remove trailing whitespace from copyright DISCLAIMER text

  [ gregor herrmann ]
  * Update copyright holder list for DhMakePerl::Command::Packaging.
  * Split package into dh-make-perl and libdebian-source-perl.
    The latter contains generally useful Perl modules.
    Thanks to Sean Whitton for the bug report.
    (Closes: #823067)

0.90 (2016-04-06)

  [ gregor herrmann ]
  * Switch to debhelper 9 for dh-make-perl itself.
  * Make sure we use at least debhelper 9 for created packages.
    Update documentation.
  * Update $VERSION.
  * Update years of copyright.
  * Change handling of Module::Build build dependency.
    Module::Build is removed from perl core since 5.21.x, so we need
    libmodule-build-perl in Build-Depends.
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Add libmodule-build-perl to Recommends.
    Module::Build was removed from perl core in 5.22 but is needed for some
    CPAN distributions with --build (a.k.a. cpan2deb). (Closes: #811415)

  [ Salvatore Bonaccorso ]
  * When creating debian/control file use https transport in URI for Vcs-Git
  * Update copyright years for debian/* packaging files
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI
  * Create packages using Standards-Version 3.9.7
  * Use Standards-Version 3.9.7 in testsuite control files
  * Declare compliance with Debian Policy 3.9.7

  [ Andy Beverley ]
  * Add deb install options for dependencies.
    This provides 2 new options: --install-build-deps and --install-deps,
    which install just those packages required for building, and install all
    related packages, respectively.

  [ gregor herrmann ]
  * Bump oldstable perl version from 5.10.1 to 5.14.2.
  * Update documentation for the --bdepends, --bdependsi, --depends
    options. They add (build) dependencies to the automatically found
    packages since 0.49. (Cf. #813766)
  * Adjust to apt-file 3, which dropped its own cache of Contents files in
    favour of APT's cache.
    - use `apt-get indextargets' and `/usr/lib/apt/apt-helper cat-file' to
      find/read the Contents files
    - drop --apt-contents-dir and --sources-list command line options
    - update tests accordingly, including a fake apt-get to point to the test
      Contents files
    - bump versioned Recommends on apt-file to 3 and add apt (>= 1.1.8)
    Thanks to Niels Thykier for his help.
    Closes: #815190

  [ Sean Whitton ]
  * Add Built-Using: to recognised binary package stanza fields
    (Closes: #819701)

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 3.9.8
  * Use Standards-Version 3.9.8 in testsuite control files
  * Declare compliance with Debian policy 3.9.8

0.89 (2015-09-26)

  * Apply a patch from Andy Beverley for checking the versions of the locally
    available packages when doing recursive builds (Closes: #774074)

0.88 (2015-09-08)

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: extract_name_ver_from_build(): take
    the correct parameter from the regex when parsing the name out of
    Build.PL.

  [ Damyan Ivanov ]
  * t/DpkgLists.t: remove trailing newline from `dpkg-archivecture` call
    Fixes the test when perl is 5.22 or newer.
    Really Closes: #789729 -- FTBFS with perl 5.22

0.87 (2015-07-12)

  * DpkgLists.t: add support for the new packaging layout in perl 5.22
    (Closes: #789729 -- FTBFS with perl 5.22)

0.86 (2015-06-16)

  * Quote left brace in regex. Gives warning under perl 5.22 (Closes: #788894)
  * Replace usage of Module::Build::ModuleInfo (dropped in perl 5.22) with
    Module::Metadata (Closes: #788893)

0.85 (2015-05-24)

  [ Damyan Ivanov ]
  * Config: fixup module name after possible setting it when run as 'cpan2deb'
    (Closes: #777718 -- cpan2deb using wrong module from CPAN)

  [ Axel Beckert ]
  * Improve misleading error message if apt-file installed but no contents
    files could be found.
  * Fix parsing of sources.list entry with options in brackets. (Closes:
    #783110; Thanks Lucas Nussbaum for the bug report.)

  [ Andy Beverley ]
  * Check existing new directory name before attempting a rename to it
    (Closes: #774071)
  * Reset Git environment variables to ensure correct repo is used
    (Closes: #774070)
  * Use correct location for deb when using install option
    (Closes: #774072)


  [ Damyan Ivanov ]
  * run 'dpkg -i pkg.deb' with sudo if we aren't root
  * bump years of copyright
  * new routine, info() for printing stuff in verbose mode, with an 'I: ' prefix
  * print the dpkg -i command
  * Packaging: parse 'dist.ini' if present
  * create_copyright: use copyright year from dist.ini (copyright_year)

0.84 (2014-10-20)

  [ Axel Beckert ]
  * t/*.t: use dh-make-perl without path instead of $Bin/../dh-make-perl if
    $ADTTMP is set
  * Add project-.proverc to enforce running with -j1 to avoid race conditions

  [ Salvatore Bonaccorso ]
  * Create packages using Standards-Version 3.9.6
  * Use Standards-Version 3.9.6 in testsuite control files

  [ gregor herrmann ]
  * Add 'Testsuite' as a valid field to Debian::Control::Stanza::Source.

  [ Damyan Ivanov ]
  * create debian/upstream/metadata in 'make' mode
  * make: add Testsuite: autopkgtest-pkg-perl source header in pkg-perl mode

  [ gregor herrmann ]
  * t/dists.t: check for $ENV{ADTTMP} in all dh-make-perl invocations.
  * Mark package as autopkgtest-able.

0.83 (2014-08-04)

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Update repository URL in Build.PL to the cgit web frontend
  * When creating debian/control file use cgit web frontend URL for the
    Vcs-Browser field
  * Upse cgit web frontend whean searching for pkg-perl package repositories

  [ Damyan Ivanov ]
  * HOWTO.release: increase version after tagging

0.82 (2014-06-30)
  * HOWTO.Release: use dpt push in the pushing part
  * make: include dh-make-perl version in the commit message of the initial
    packaging
  * Skip POD tests unless RELEASE_TESTING is present in the environment
    (Closes: #752917, FTBFS with perl 5.20)
  * fix the error message when more than one command is given on the command
    line
  * the locate command now accepts multiple arguments

0.81 (2014-05-18)

  [ Dima Kogan ]
  * If unable to parse pkgname or version, quit with a useful error message.
  * Replaced all 'start_dir' uses with 'main_dir'

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging:
    - install CONTRIBUTING files in extract_docs().
    - require debhelper 9.20120312 only for arch:any packages;
      for arch:all debhelper 8 or 9 are enough
    - add a trailing ~ to all versioned dependencies to make
      backporting easier
    - drop special casing for all kinds of dependencies which needed
      debhelper 7.x.
      Support for debhelper < 8 was dropped in dh-make-perl 0.77.
  * Reword "debhelper(1) 7 tiny" to the more accurate "dh(1)".
    Also rename is_dh7tiny() method to is_dhtiny().
  * Update copyright years.

  [ Axel Beckert ]
  * Apply wrap-and-sort.
  * Untangle checks for pristine-tar and upstream tarball in
    git_add_debian() (Closes: #735968)
  * Code-deduplication by splitting up guess_tarball() into
    guess_tarball($prefix) and guess_debian_tarball() and then using
    guess_tarball() also in setup_dir().
  * Iterate over all supported tar ball suffixes in guess_tarball().
  * Use Cwd's realpath for upstream tarball search if main_dir is just "."

  [ gregor herrmann ]
  * Bump required debhelper version for Module::Build::Tiny to 9.20140227.

0.80 (2013-10-29)
  [ CSILLAG Tamas ]
  * add rename_to_debian_package_dir.
    This will rename the directory name to the canonical name of
    the debian package.
  * use system("mv ...") when cross device directory move is expected
    otherwise just use rename

  [ Damyan Ivanov ]
  * FromCPAN/find_debs_for_modules: do not crash when all offerred packages
    are perl(-(modules|base))? (Closes: #725206)
  * drop trailing slash from t/Control.t test file

  [ Salvatore Bonaccorso ]
  * Create packages with Standards-Version 3.9.5
  * Adjust Standards-Version in control files of testsuite

0.79 (2013-08-16)
  * silence a warning when reporting about a core-satisfied dependency without
    a version
  * fix problems with perl 5.18:
    (Debian #719829)
    + fix missing =back in Debian::Control::Stanza::CommaSeparated POD
    + sort a couple of hash key walks breaking tests with perl 5.18
  * remove the trailing slash from ustream/watch URLs
  * drop usage of experimental given/when in Packaging.pm
  * rework --only internal representation to be a hash
  * t/dists.t: rework running dh-make-perl and give all diagnostics when a
    test fails
  * fix specoial handling of changed copyright years
  * make dh-make-perl report its version on every invocation

0.78 (2013-08-09)
    add $VERSION to all modules

    use strict; use warnings; everywhere
    also ensure this doesn't change via t/critic.t

    fix a bunch of typos thanks to Test::Spelling

0.77 (2013-08-08)

  [ Salvatore Bonaccorso ]
  * Bump version for DhMakePerl to 0.77
  * Bump Standards-Version to 3.9.4
  * Create packages with Standards-Version 3.9.4.
    Adjust default Standards-Versions in DhMakePerl::Command::Packaging to
    3.9.4.
    Bump Standards-Version in debian/control for tests to 3.9.4.
  * Use metacpan.org instead of search.cpan.org.
    Use https://metacpan.org instead of http://search.cpan.org in
    debian/watch, debian/copyright and debian/control files.
    Adjust the test files using https://metacpan.org.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Use anonscm.debian.org for source location in debian/copyright
  * Create Vcs-Git with canonical URI (git://anonscm.debian.org)
    (Closes: #697876)

  [ Damyan Ivanov ]
  * add test about handling user:pass@ in sources.list URLs

  [ gregor herrmann ]
  * DhMakePerl::Command::Packaging: honour command line options
    for packagename/version in extract_name_ver.

  [ Nathan Handler ]
  * Email change: nhandler -> nhandler@debian.org

  [ Dima Kogan ]
  * Not importing IO::Dir since I'm not using it
  * better handling of upstream-supplied debian/ directories.  If we are
    making a git repo I now remove debian/ directory if the upstream ships
    it. This goes into the 'master' branch, so the 'upstream' branch
    contains the original debian/ directory, and thus matches the
    pristine-tar

  [ gregor herrmann ]
  * DhMakePerl::Command::make: Try to guess tarball name when run from an
    unpacked source directory.
  * DhMakePerl::Command::Packaging: Don't sanitize version if given on the
    command line.
  * Update years of copyright.
  * DhMakePerl::Command::Packaging: replace "This library" with the module
    name in the long description, like we already did with "This module".

  [ Axel Beckert ]
  * DhMakePerl::Command::make: Call git_add_debian before build_package
    and install_package to not add files generated during the package
    build process to the git repository.
  * Add patch by Matthew Gabeler-Lee to understand packages named
    "-vX.Y.Z". (Closes: #701140)
  * Fix "fatal: pathspec '…' did not match any files" error of "git
    add". (Closes: #659526)
  * Add option --build-source to build .dsc file (c.f. #645011). Also add
    a cpan2dsc 'flavour' of dh-make-perl. If it is called by that name,
    the behaviour changes for easy .dsc creation.
  * Mention cpan2deb and cpan2dsc in the long description.
  * Add myself to Uploaders.

  [ Oleg Gashev ]
  * Fixed timestamp regexp to t/dists.t file. If time zone is EDT, failed
    tests from t/dists.t file: Generated tree matches template. Problem
    with incorrect timestamp regexp.

  [ Damyan Ivanov ]
  * Dependency: assume '>=' relationship if missing when constructing from
    hash /usr/share/perl5/Debian/Dependency.pm line 157. Thanks to Robert
    Norris for his patience and his excellent analysis. (Closes: #704480)
  * exclude README in the root directory from .docs "in 9x% we remove it
    from .docs afterwards" this change is a bit of a "big gun", because it
    doesn't really check if README is autogenerated, but hey, fixing a 90%
    false-positive hit is better than introducing a 10% false-negative hit
    (Closes: #608936)
  * drop mangling versions like 2.003004 into 2.3.4 this partially reverts
    385451609f5af2ace92c3838133dd4ed2c605608 see there for the reasoning
    back in 2010 (TODO is interesting) the fix seems to cause more
    problems than it solves. matching cpan-version to debian version is
    dark area

  [ gregor herrmann ]
  * Fix tests for .docs generation.
  * Fix tests for version mangling.
  * debian/control: one 'perl' is enough. Thanks to lintian.

  [ Damyan Ivanov ]
  * use dh 9 for arch:any packages to get hardening flags
  * drop support for debhelper compatibility levels before 8
  * drop documentation and support of rules files for dh7

  [ Lasse Makholm ]
  * Debian::AptContents: Fix repo_source_to_contents_paths() to also work on
    Ubuntu.
    Make sure to generate paths both with and without components to be
    compatible with both old and new apt-file versions.
    (LP: #1034881)

  [ Damyan Ivanov ]
  * use Text::Balanced's extract_quotelike for parsing quoted strings
    (Closes: #717025)
  * do not fail AptContents.t with left over Contents.cache present
  * Control: revert ->binary to plain hashref and provide the Tie::IxHash tie
    via ->binary_tie (Closes: #712432)
  * configure_cpan: save/restore the CWD
  * make: when neither --cpan or a tarball is given, also try to use
    debian-named .orig.tar.gz
  * make: skip pristine-tar if there is no known tarball (Closes: #689476)
  * FromCPAN: catch in-core dependencies that require too new perl and provide
    an out-of-core alternative (Closes: #691534)
  * move mod_cpan_version from ::make to ::Packaging (Closes: #691859)
  * make: warn if pkg-perl already has a packaging repository for the package
    (Closes: #702456)
  * switch default debhelper to 9
  * packages build-depending on Module::Build::Tiny get debhelper 9.20130630
  * bump oldstable perl version from 5.10.0 to 5.10.1
  * make: prune dependencies after discovering additional dependencies
  * do not fail when $wnpp_query is not supplied due to --no-network
  * Makefile: defer {real,dist}clean to ./Build
  * add .pc and Contents.cache to MANIFEST.SKIP
  * rework dists.t using IPC::Run
  * supply data about libmodule-build-tiny-perl in test Contents

0.76 (2012-09-12)

  [ Salvatore Bonaccorso ]
  * Update debian/copyright file.
    Update format to the copyright-format 1.0 released with Debian policy
    3.9.3.
    Adjust Source location for dh-make-perl to point to the git repository.
    Update copyright years for debian/* packaging.
  * Create debian/copyright with copyright-format 1.0
    debian/copyright files are created following the copyright-format 1.0
    released with Standards-Version 3.9.3.
  * Adjust test files to copyright-format 1.0
  * Bump Standards-Version to 3.9.3
  * Create packages with Standards-Version 3.9.3.
    Adjust control files in t/dists test-files.

  [ Per Carlson ]
  * License attribute from META file is array. (Closes: #664150)

  [ gregor herrmann ]
  * DhMakePerl::Config: mark cpan option as explicitly set when called as
    cpan2deb. Avoids overriding by having a cpan key in ~/.dh-make-perl
    /.dh-make-perl.conf. Thanks to Brendan Byrd for the bug report.
    (Closes: #668084)
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Damyan Ivanov ]
  * create_watch: allow single-digit-only versions.
    Thanks to Kevin Ryde for the report and the proposed fix (Closes: #657249)
  * D:C:FromCPAN/find_debs_for_modules: search core first
    otherwise we get 'perl-modules (>= 2.21)' when requiring
    ExtUtils::ParseXS 2.21
  * bump copyright years
  * configure_cpan: ignore prerequisites to avoid unnecessary prompts
  * setup_dir: ignore $dist->get return value.
    POD says nothing about it, so false doesn't indicate failure.
    false is sometimes returned when some prerequisites aren't
    satisfied, which is not important for us. (Closes: #686739)
  * honour --arch option.
    Use it if given and skip automatic scan for XS code. (Closes: #668642)

0.75 (2012-01-15)

  [ Damyan Ivanov ]
  * setup Git repository in --vcs=git even without --pkg-perl
  * when setting up Git repository, add 'origin' remote only in --pkg-perl
    mode
  * fail gracefuly if pristine-tar is not available
  * add libfile-which-perl to (build-)dependencies
  * fix typo in --pristine-tar description
  * Apply patch from Dima Kogan, avoiding confusion when the version string is
    not quoted (RT#71224)
  * META:
    + add explicit configure_requires on Module::Build
    + add repository URL
    + add keywords
  * when warning about missing apt-file, state the minimum required version

  [ gregor herrmann ]
  * Swap order of alternative (build) dependencies after the perl 5.14
    transition.
  * DhMakePerl/Command/make.pm: setup_dir(): change back to original
    directory after CPAN.pm changes it; thanks to Dima Kogan
    (cf. RT#71708).
  * Fix POD: --pkg-perl sets Vcs-Git, of course.
  * Treat META.json like META.yml (i.e. rm/unlink/ignore it).
  * DhMakePerl::Command::Packaging: don't initialize CPAN if --no-network
    is set. Otherwise t/cache.t fails because CPAN tries to update its
    config and goes out hunting for CPAN mirrors.
  * t/dists.t: allow multiple years in Copyright line.
    "refresh" adds the current year to the years of copyright.
    In other words: This was a "New Year's Bug".
  * t/dists: fix the regexp for matching the email address of our maintainer.
  * DhMakePerl::Command::Packaging: don't initialize CPAN if --no-network is set.
  * Treat META.json like META.yml (i.e. rm/unlink/ignore it).

  [ Dima Kogan ]
  * When making recursively, build/install this package only AFTER its
    dependencies have been built/installed
  * find_debs_for_modules() no longer reports installed-but-not-in-aptfile
    packages as missing
  * when installing a package, $arch now comes from the control file
    (Closes Debian bug #651343)

0.74 (2011-09-12)

  [ Tim Retout ]
  * t/cache.t: New test for handling unreadable cache files.
  * Debian::WNPP::Query: return an empty hashref rather than undef after
    failing to read cache file.
  * DhMakePerl::Config: Change default source format to 3.0 (quilt).

  [ Damyan Ivanov ]
  * Packaging.pm: extend the examples regular expression to match demo/demos.
    Thanks to Kevin Ryde. Closes Debian bug #634932
  * add pristine-tar to Recommends. Thanks to Tim.
  * fix t/debian-version.t to not plan twice in case debian/changelog does not
    exist (e.g. when testing the CPAN distribution, which lacks debian/ stuff)
    RT#66214
  * setup_git_repository: streamline import of upstream sources

  [ gregor herrmann ]
  * Update created Vcs-Browser URLs for Debian Perl Group repositories.
  * Change URLs for DEP5 Format-Specification to point to
    http://anonscm.debian.org.
  * Update list of contributors/copyright holders in dh-make-perl and
    debian/copyright.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
  * DhMakePerl::Config: Change default VCS to Git.

  [ Salvatore Bonaccorso ]
  * Debian::AptContents: Fix typo in POD.

  [ Maximilian Gass ]
  * Fix Debian::AptContents for file name changes in apt-file 2.5.0

0.73 (2011-07-03)

  [ gregor herrmann ]
  Add missing modules to Build.PL.
  Update copyright notices.
  Debian::Control::Stanza::Source: add XS-Autobuild field; mention all
    fields in POD, and sort list.

  [ Salvatore Bonaccorso ]
  create packages with Standards-Version 3.9.2.
  Bump Standards-Version to 3.9.2. 
  Debian::Control::Stanza::Source: Add DM-Upload-Allowed field to
    supported fields for source stanza in debian/control.

  * Debian::Control::Stanza::Source: Order fields similar to dh_make generated
    templates.

  [ Nicholas Bamber ]
  * Updated authorship notice

  [ Damyan Ivanov ]
  * Add --vcs option, guiding VCS-* headers' creation in --pkg-perl mode. It
    also helps with the initial repository creation for Git
  * Do not die when the WNPP cache cannot be read, for example due to binary
    format change in Storable. Also, use platform-independent storage.
    Closes: #626987 - dh-make-perl: Debian::WNPP::Query does not correctly
    invalidate cache or use platform-netural Storable format
  * bump default debhelper compatibility level to 8
  * note oldstable has perl 5.10.0, not 5.8.8
  * apply a patch from Manfred Stock fixing AptContents not to miss
    alternative dependencies when a given module is found in more than one
    package. Closes: #622852
  * Use CPAN::Meta for processing META.* files, adding support for META.json.
  * When no META file is available, try parsing name and version from Build.PL
    before Makefile.PL. Closes: #589946
  * fix calls to extract_basic_copyright from File::Find::find to not chdir,
    fixing lookups for ./LICENSE, etc on refresh. Closes: #613606 -- Fails to
    correctly identify GPLv2 in RT::Authen::ExternalAuth v0.08 on refresh

0.72 (2011-02-05)

  [ Nicholas Bamber ]
  Added logic to parse special email change directives in the changelog
  so that the refresh command respects email changes.
      Debian bug #609409

  Changed regular expression in t/dists.t to allow .svn not ending in /

  Various fixes for t/dists.t:
    - Added fix for .svn at the end of a filename rather than the middle
    - Second /dev/null check was attempting to diff an undefined value
    - Setting PERL5LIB (unsatisfactory work around for system(dh-make-perl) )


0.71 (2010-12-28)

  [ Ansgar Burchardt ]
  DhMakePerl::Command::Packaging: Refer to "Debian systems" instead of
  "Debian GNU/Linux systems" in generated debian/copyright.

  [ Salvatore Bonaccorso ]
  Improve regular expression to not match fields in Makefile.PL as
  MIN_PERL_VERSION to determine the version of the package. Thanks to
  Andrew Ruthven for reporting.
      Debian bug #596025

  Update my email address.

  [ gregor herrmann ]
  Debian::Control::FromCPAN: also check test_requires and build_requires for
  finding build dependencies
      Debian bug #601787

  [ Peter Pentchev ]
  My::Builder: fix a typo (raname -> rename).

  t/AptContents.t: fix a typo (fund -> found).

  [ Damyan Ivanov ]
  when looking for XS code, skip win32/ directories

  Skip non-existing APT source files
      Debian bug #557961

  Detect usage of 'Artistic License 2.0' and include the license text in
  debian/copyright; require Software::License
    (Closes: #589816)

  Clarify documentation about --cpan argument being module name
      Debian bug #602059

  Support distribution names as arguments to --cpan
      Debian bug #607998

  Fix tests to stringify when comparing overloaded objects with strings

  Control::Stanza: split dependency lists one package per line in order to
  make changes more VCS-friendly

0.70 (2010-07-28)

  [ Salvatore Bonaccorso ]
  dh --buildsystem=buildsystem needs at least debhelper (>= 7.3.7), add this
  rule to DhMakePerl::Command::Packaging.

  Bump versioned Build-Depends on debhelper to (>= 7.3.7) as needed
  for --buildsystem.

  [ Damyan Ivanov ]
  Packaging.pm: fix a lexical declaration within a conditional statement

0.69 (2010-07-26)

    [ Damyan Ivanov ]
    die early if unable to determine distribution name or version.
        Debian bug #525847

    spelling fixes in POD and comments

    [ Ansgar Burchardt ]
    Do not require --cpan in addition to --pkg-perl when adding Vcs-* fields.

    Debian::Dependency: Recognize deprecated '<' and '>' relations.

    Debian::Dependency: Allow architecture restrictions in dependencies.
    For now this information is just ignored.

    DhMakePerl::Command::Packaging (set_package_name): Use package name
    specified by --packagename option. (Debian bug #584619)

    dh-make-perl: Fix spelling error ("intercepring" → "intercepting").

    Debian::WNPP::Query: Fix bugs_for_package method.

    Debian::Control::FromCPAN (discover_dependencies): Do not ignore results
    from Module::Depends::Intrusive. (Debian bug #587276)

    [ Salvatore Bonaccorso ]
    Add support of Breaks field for binary package stanzas in debian/control
    to Debian::Control::Stanza::Binary.

    Create packages with Standards-Version: 3.9.1.

    Fix sentences in texts for License stanzas of debian/copyright: Add full
    stop mark after sentences.

    Add explicit Link to versioned `/usr/share/common-licenses/GPL-1' as this 
    was added by base-files 5.8 (See debian bug #436105).

    Fix debian/copyright text templates in t/dist/Strange-0.1 and
    t/dist/Strange-2.1.

    Add support for perl_dbi addon for dh.

    Build-Depends only on perl when Build.PL and Module::Build is used,
    instead of an alternate Build-Depends on perl (>= 5.10) |
    libmodule-build-perl. This is as support for Etch is now discontinued and
    Lenny already contains perl (>= 5.10) (Debian bug #590114).

    [ Chris Butler ]
    Fixed DhMakePerl::Utils to cope with modules in Module::CoreList where the
    version is unspecified. (Debian bug #585755)

0.68 (2010-05-04)

    Build.PL: add no_index as an attempt to avoid PAUSE indexing private stuff

    My::Builder: 'orig' target now creates identical (hard-linked)
        DhMakePerl-VERSION.tar.gz and dh-make-perl_VERSION.orig.tar.gz files

    My::Builder: streamline messages in the 'dist' and 'orig' actions

    Control.t: ensure dependency fields are wrapped properly

    make: fix a typo (DpkgList -> DpkgLists). Thanks to Dominic Hargreaves
        Debian bug #580101

    modules_already_packaged: fix ModuleInfo instantiation

    Config: honour values given to the constructor

    DpkgLists.t: do not insist that '/bin/perl' (or the corresponding regex) is
        only in perl-base. Instead, ensure that 'perl-base' is present in the
        returned list. Debian bug #580025

    make: drop $VERSION; some POD rewrite (was a blind copy of DhMakePerl.pm)

0.67
    POD: drop "--" in front of the commands.
    refresh: ensure ->rules is there before attempting to fiddle quilt
        integration

    Add support for version relations in META

    Debian::Dependency now survives being given a string with leading spaces

    make: implement recursive making of missing dependencies when --recursive
        is given. (Debian bug #342751)

    FromCPAN: remove leading 'v' from versions

    add Debian::DpkgLists - 'dpkg -S' on steroids

    FromCPAN: use Debian::DpkgLists as a last resort. This allows finding
        dependencies that are present in locally-installed packages.
        (Debian bug #478781)

    Dependency: the 'ver' member is an instance of Dpkg::Version
        Use its ability to compare and drop Debian::Version

    Dependenc{y,ies}: reduce '--' to '-' in the NAME POD section

    make: try harder to discover already existing package by looking up
        distribution modules in APT contents and dpkg file lists.

    replace CPAN::Config->load with CPAN:Handle::Config->load
        the former seems obsolete and only warns:
            Dispatching deprecated method 'CPAN::Config::load' to
            CPAN::HandleConfig

    added README

    added xt/pod-spelling.t to help test POD spelling
